## Name

interpolateAtSample — sample a varying at the location of a specified sample

## Declaration

`float interpolateAtSample(` | float interpolant,
| int sample`)`;

`vec2 interpolateAtSample(` | vec2 interpolant,
| int sample`)`;

`vec3 interpolateAtSample(` | vec3 interpolant,
| int sample`)`;

`vec4 interpolateAtSample(` | vec4 interpolant,
| int sample`)`;

## Parameters

`interpolant`

  Specifies the interpolant to be sampled at the location of sample `sample`.

`sample`

  Specifies the index of the sample whose location will be used to sample `interpolant`.

## Description

`interpolateAtSample` returns the value of the input varying `interpolant` sampled at the location of sample number `sample`. If multisample buffers are not available, the input varying will be evaluated at the center of the pixel. If sample `sample` does not exist, the position used to interpolate the input varying is undefined.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
interpolateAtSample | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

interpolateAtCentroid, interpolateAtOffset

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.